Bug 503687 - Incorrect color support in console
Incorrect color support in console
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 461366
  Show dependency treegraph
 
Reported: 2009-06-02 04:17 EDT by Pavel Alexeev
Modified: 2009-12-18 04:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:31:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2009-06-02 04:17:52 EDT
Description of problem:
lightblue color is not shown correct

Version-Release number of selected component (if applicable):
# rpm -q kernel
kernel-2.6.27.24-170.2.68.fc10.i686

How reproducible:
always

Steps to Reproduce:
#!/bin/sh
echo -en "\033[1;34m"
echo 'bright-blue text'
echo -en "\033[22;39m"
echo 'normal'
echo -en "\033[34m"
echo 'blue text'
echo -en "\033[22;39m"

Actual results:
"bright-blue text" have blue color!

Expected results:
Distingush colors.

Additional info:
What is very interesting and come from many experiments. Turn on underlying option take effect change bright-blue color!
Try:
#!/bin/sh

setterm -underline on

echo -en "\033[1;34m"
echo 'bright-blue text'
echo -en "\033[22;39m"
echo 'normal'
echo -en "\033[34m"
echo 'blue text'
echo -en "\033[22;39m"

and what more intresting, it is not do what intended - color changed to right (as I think), but underline is not appeared!

Direct test with escape may be done via:
#!/bin/sh

echo -en "\033[4m\033[1;34m"
echo 'bright-blue text'
echo -en "\033[22;39m\033[24m"
echo 'normal'
echo -en "\033[34m"
echo 'blue text'
echo -en "\033[22;39m"

Also note, most of X-terminal emulators shown underline and colors right.

This bug initially come from many discussion, please refer to https://bugzilla.redhat.com/show_bug.cgi?id=461366 then it relocated to upstream mc - http://www.midnight-commander.org/ticket/385 and after discusion with ids developers and some tests we make desicion what it is a Bug of Fedora Linux kernel (as console of part of it).

Also, please note, tested on Gentoo with vanilla kernel 2.6.30-rc7-00149-g3218911, Ubuntu vith kernel 2.6.28-11-generic and even on Fedora 9 kernel-2.6.27.24-170.2.68.fc10.i686 this is not reproducable!
Comment 1 Chuck Ebbert 2009-06-03 18:53:53 EDT
(In reply to comment #1)
> Additional info:
> What is very interesting and come from many experiments. Turn on underlying
> option take effect change bright-blue color!

The Linux console doesn't support underlining and instead uses bright cyan by default. You can change that default color by using setterm -ulcolor <color> .

Bright blue is a different color.
Comment 2 Chuck Ebbert 2009-06-03 19:05:18 EDT
(In reply to comment #1)
> The Linux console doesn't support underlining and instead uses bright cyan by
> default.

The default underline color is cyan, not bright cyan.
Comment 3 Chuck Ebbert 2009-06-04 01:51:49 EDT
This could possibly be caused by having a 512-character font loaded.
Comment 4 Pavel Alexeev 2009-06-04 04:08:03 EDT
(In reply to comment #1)
> Bright blue is a different color.
This is main goal of this bugreport. This is MUST be different color than blue, but it is the same now.
Comment 5 Bug Zapper 2009-11-18 07:03:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Pavel Alexeev 2009-11-18 17:04:09 EST
This is not reproducible on my Federa 11 notebook. I think we can close it as WONTFIX, as suggested below.
Comment 7 Bug Zapper 2009-12-18 04:31:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.